### Function

# Vips block_untrusted_set

#### Declaration [src]

    void
    vips_block_untrusted_set (
      gboolean state
    )

#### Description [src]

Set the block state on all untrusted operations.

    vips_block_untrusted_set(TRUE);

Will block all untrusted operations from running.

Use `vips -l` at the command-line to see the class hierarchy and which operations are marked as untrusted.

Set the environment variable `VIPS_BLOCK_UNTRUSTED` to block all untrusted operations on `vips_init()`.

#### Parameters

`state`

  Type: `gboolean`

  The block state to set.